Crawl

Get detailed information about a crawl job

Retrieves detailed information about a crawl job including all headers, cookies, and result data.

GET
/crawl/v1/jobs/{job_id}/detail

Path Parameters

job_id*string

The job ID to get details for

Query Parameters

parse_cookies?boolean

Whether to parse cookies from headers (default: false)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://edge.uprock.com/crawl/v1/jobs/f2bf9f8b-10ee-4c61-9633-4eacc3e8aac8/detail"
{
  "download_url": "https://iad001.edge.uprock.com/crawl/v1/jobs/550e8400-e29b-41d4-a716-446655440000/download",
  "job": {
    "job_id": "f2bf9f8b-10ee-4c61-9633-4eacc3e8aac8",
    "method": "GET",
    "placement": {},
    "session_id": "550e8400-e29b-41d4-a716-446655440000",
    "status": "completed",
    "submitted_at": "2026-02-17T11:38:58.467667051Z",
    "timeout_sec": 30,
    "url": "https://example.com/"
  },
  "request_cookies": [
    {
      "domain": "string",
      "expires": "string",
      "httponly": true,
      "max_age": 0,
      "name": "string",
      "path": "string",
      "samesite": "string",
      "secure": true,
      "value": "string"
    }
  ],
  "request_headers": [
    {
      "name": "string",
      "value": "string"
    }
  ],
  "response_cookies": [
    {
      "domain": "string",
      "expires": "string",
      "httponly": true,
      "max_age": 0,
      "name": "string",
      "path": "string",
      "samesite": "string",
      "secure": true,
      "value": "string"
    }
  ],
  "response_headers": [
    {
      "name": "string",
      "value": "string"
    }
  ],
  "result": {
    "created_at": "2026-02-17T11:39:05.620837802Z",
    "error_message": "Request timed out after 30 seconds",
    "error_type": "timeout",
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "size_bytes": 610393,
    "status_code": 200,
    "success": true,
    "time_ms": 3050000,
    "timestamp_ms": 1771328337931,
    "tls_cipher_suite": "TLS_AES_128_GCM_SHA256",
    "tls_version": "TLSv1.3"
  }
}
"invalid request: url is required"
"unauthorized: invalid or missing API key"
"not found: job does not exist or you are not authorized to view it"
"internal server error: please try again later"